@charset "utf-8";
/* CSS Document */
*{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video,input,select{margin:0;padding:0;border:0;font-size:100%;font:inherit;vertical-align:baseline;color:unset}html{scroll-behavior:smooth}a{text-decoration:none;cursor:pointer}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}ol,ul{list-style:none}blockquote,q{quotes:none}blockquote:before,blockquote:after,q:before,q:after{content:'';content:none}table{border-collapse:collapse;border-spacing:0}button{cursor:pointer;border:none;border-radius:0;-webkit-appearance:none;-moz-appearance:none;appearance:none}img{max-width:100%;}
/*=== END RESET ===*/

/*=== CLEARFIX ===*/
.clear{clear:both}.cf:before,.cf:after{content:" ";display:table}.cf:after{clear:both}.cf{zoom:1}

/*=== GLOBAL ===*/
.flex-container{display:flex}.flex-vertical{flex-direction:column}.flex-horizontal{flex-direction:row}.flex-width{flex-grow:1;flex-shrink:1;flex-basis:100%}.flex-height{height:100%}.flex-wrap{flex-wrap:wrap}.set-width{flex-grow:0;flex-shrink:0;flex-basis:auto}.justify-center{justify-content:center}.justify-right{justify-content:flex-end}.justify-left{justify-content:flex-start}.justify-between{justify-content:space-between}.justify-around{justify-content:space-around}.justify-evenly{justify-content:space-evenly}.align-center{align-items:center}.align-top{align-items:flex-start}.align-bottom{align-items:flex-end}.align-stretch{align-items:stretch}.align-all-center{align-items:center;justify-content:center}.align-self-center{align-self:center}.align-self-right{align-self:flex-end}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}.mobile-only{display: none}.max-width{margin:0 var(--sm-padding)}.map{min-height:350px;line-height:0;}


*,
*::before,
*::after {
    transition: all 0.3s ease;
}
a:hover {cursor: pointer !important;}

/*=== SELECT STYLES ===*/
::selection, ::-moz-selection {
	background: var(--red);
	color: var(--white);
	text-shadow: none;
}

:root {
	/*=== Fonts ===*/
    --Poppins: "Poppins", sans-serif;

	/*=== Colors ===*/
	--white: #FFFFFF;
	--black: #000000;
	--yellow: #ffdc00;
    --green: #43782D;
    --lt-gray: #D9D9D9;
    --gray: #808080;
    
    /*=== Font Sizes ===*/
    --p: clamp(16px, 5vw, 20px);

	/*=== Spacing ===*/
	--lg-padding: clamp(75px, 5vw, 100px);
	--sm-padding: clamp(25px, 2.5%, 2.5%);
}

    .white{color: var(--white)}
    .black{color: var(--black)}
    .yellow{color: var(--yellow)}
    .gray{color: var(--gray)}
    .lt-gray{color: var(--lt-gray)}
    .green{color: var(--green)}

body {
    position: relative;
	font-family: var(--Poppins), sans-serif !important;
	height: auto !important;
    background-color: var(--tan);
}

.page-shadow {
	max-width: 1920px!important;
    width: 100%!important;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 20px 0px!important;
    background-color: rgb(255, 255, 255)!important;
    margin: 0 auto!important;
	overflow-x: hidden;
}
strong, b {
	font-family: var(--Poppins);
    font-weight: 800;
}
p {
    font-size: clamp(16px, 5vw, 18px);
}
.p {
    font-size: clamp(16px, 5vw, 18px);
}

.thick {
	font-family: var(--Poppins);
    font-weight: 700 !important;
}

.center {text-align: center;}

.xl-heading, .lg-heading, .md-heading, .sm-heading {
	font-family: var(--Poppins);
}

.xl-heading-bold {
	font-family: var(--Poppins);
    font-weight: 900 !important;
}


.xs-heading {
	font-family: var(--Barlow);
	padding-top: 5px;
}
.xl-heading {font-size: clamp(34px, 5vw, 64px);line-height: clamp(34px, 5vw, 64px);}
.lg-heading {font-size: clamp(34px, 5vw, 42px);line-height: clamp(34px, 5vw, 42px);}
.md-heading {font-size: clamp(27px, 5vw, 35px);line-height: clamp(34px, 5vw, 80px);}
.sm-heading {font-size: clamp(18px, 5vw, 26px);line-height: clamp(18px, 5vw, 26px);}
.xs-heading {font-size: clamp(16px, 5vw, 18px);line-height: clamp(16px, 5vw, 18px);}
.tight {line-height: 90% !important;}

.sm-padding {padding: 20px 0;}
.md-padding {padding: 50px 0;}
.lg-padding {padding: 100px 0;}

/*=== BODY STYLES 
============================================*/
.width90 {margin: 0 auto; width: 90%; max-width: 1600px;}

.btn-green {padding: 10px 20px; background: var(--green); max-width: 220px; width: 100%; display: flex; align-items: center; justify-content: center; color: var(--white); font-size: 16px; font-weight: 700; border: 1px solid transparent;}
.btn-green:hover {color: var(--white); background-color: var(--black); border-color: var(--white)}
.btn-green:hover i {padding-left: 20px;}

.btns-row {display: flex; justify-content: flex-start !important; align-items: center; gap: 20px; flex-wrap: wrap; width: 100%;}

.green-fade {background: linear-gradient(to bottom, var(--green) 0px, transparent 400px);}
.corner1 {border-radius: 0px 50px 0px 50px;}
.corner2 {border-radius: 50px 0px 50px 0px;}
/*=== HEADER STYLES 
==============================*/
.top-runner {background: var(--black); color: var(--white); padding: 10px 0;}
.top-runner > div {display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap;}
.top-runner > div > a:hover {color: var(--yellow) !important;}

.header-wrap {box-shadow: 5px 5px 15px 5px rgba(0,0,0,0.15);}
.primary.nav {display: flex; justify-content: space-between; padding: 20px 0; align-items: center;}
.header-logo img {width: 100%; height: 100%; object-fit: contain; max-height:75px;}
.last-link {background-color: var(--black) !important; color: var(--white) !important;}
.last-link:hover {background-color: var(--green) !important; color: var(--white) !important;}

.mobile-menu-fb {display: flex; justify-content: space-between; align-items: center; width: 90% !important; margin: auto !important;}

.green-stripe {height: 25px; width: clamp(150px, 33%, 500px); background: var(--green); clip-path: polygon(0 0, 100% 0, calc(100% - 25px) 100%, 0 100%); position: absolute; transform: translateY(-50%); z-index: 401;}

/*=== FOOTER STYLES 
==============================*/
.footer-wrap {color: var(--white); background: var(--black); padding: 50px 0;}
.footer {display: flex; justify-content: space-between; align-items: flex-start; gap: 50px; flex-wrap: wrap;}
.footer-logo {max-width: 300px; display: block; width: 100%;}
.footer-hours {display: flex; justify-content: space-between; gap: 25px;}
.footer-links {line-height: 200%;}
.footer-links:last-child {text-align: right;}
.footer-links a:hover {color: var(--green);}

/*=== HOME PAGE 
==============================*/
#home-hero {padding: 0 0 50px 0;background: linear-gradient(to top, rgba(0,0,0,0.5), rgba(0,0,0,0.25)), url("../siteart/green-tractor-fast.jpg") center / cover; min-height: calc(100vh - 160px); display: flex; justify-content: flex-start; align-items: flex-end;}
.home-hero-fb {display: flex; justify-content: space-between; align-items: flex-end; height: 100%; width: 90%; max-width: 1600px; margin: 0 auto; gap: 100px;}
.home-hero-fb-left {flex: 1;}
.home-hero-fb-right {flex: 1;}
.home-hero-title {margin-bottom: 50px; padding-top: 50px;}
.open-widget {display: flex; justify-content: space-between; align-items: center; gap: 10px; flex-wrap: wrap; padding: 20px; border-radius: 20px; background: rgba(0,0,0,0.5); backdrop-filter: blur(10px);}
.open-widget i {font-size: 40px;}

#hero-contact > h4 {padding-bottom: 20px;}
#hero-contact {display: flex; flex-direction: column; gap: 10px; font-size: var(--p); max-width: 100%; background: rgba(0,0,0,0.5); backdrop-filter: blur(10px); padding: 20px; border-radius: 20px;}
#hero-contact label {display: none;}
#hero-contact input {padding: 10px 20px; width: 100%; border-radius: 10px;}
#hero-contact .input-row {display: flex; flex-direction: row; gap: 10px;}
#hero-contact .dualFields {width: 50%;}
#hero-contact textarea {width: 100%; height: 200px; border: none; font-family: var(--Poppins); padding: 20px; font-size: var(--p);}
#hero-contact input.submit:hover {cursor: pointer ;}
#hero-contact .note {font-size: 11px;}
#hero-contact .CaptchaWhatsThisPanel a {color:#fff; font-size: 15px;}
#hero-contact .CaptchaMessagePanel {color: var(--white) !important;}

/*control the Captcha */
.CaptchaPanel {margin:0 0 0 0 !important;padding:0 0 0 0 !important;text-align: center;line-height:normal !important;}
.CaptchaImagePanel {margin:0 0 0 0;padding:0 0 0 0;}
.CaptchaMessagePanel {padding:0 0 0 0 !important;margin:0 0 0 0 !important;font-weight:normal !important;font-size:12px;line-height:14px;}
.CaptchaAnswerPanel {margin:0 0 0 0;padding:2px 0px 2px 0px !important;}
.CaptchaWhatsThisPanel {line-height:2;text-decoration: underline !important;margin:0 0 0 0;padding:8px 0 8px 0 !important;}
.CaptchaWhatsThisPanel a {color:#000;}
.CaptchaWhatsThisPanel a:hover {text-decoration:none;}

@media screen and (max-width: 700px) {
    #hero-contact .input-row {flex-direction: column; width: 100%;}
    #hero-contact .dualFields {width: 100%;}
}

.black-banner-thin {background: var(--black); color: var(--white); padding: 10px 0;}
.black-banner-thin > div { display: flex; justify-content: space-around; gap: 20px; align-items: center;}

.fb-half {display: flex; justify-content: space-between; align-items: stretch; gap: 50px; }
.fb-half > div {flex: 1; display: block; overflow: hidden;}
.fb-half > div > img {display: block; height: 100%; object-fit: cover;}
.fb-half > div:has(img) {align-self: stretch;}

.farm-cat {background: linear-gradient(to right, rgba(0,0,0,0.75), rgba(0,0,0,0.25)), url("../siteart/skid-steer-sunny.jpg") center / cover; padding: 100px 20px 30px 30px;}
.welding-cat {background: linear-gradient(to right, rgba(0,0,0,0.75), rgba(0,0,0,0.25)), url("../siteart/welder.jpg") center / cover; padding: 100px 20px 30px 30px;}
.farm-cat p, .welding-cat p {max-width: 500px;}

.stats-fb { display: flex; justify-content: space-between; align-items: flex-start; gap: 50px;}

.grid {display: grid !important; grid-template-columns: repeat(2, 1fr); gap: 20px; padding: 50px 0;}
.grid > div {display: flex; justify-content: flex-start; gap: 10px; align-items: flex-start;}
.grid > div > div:has(i) {display: flex; justify-content: center; align-items: center; aspect-ratio: 1/1; padding: 10px; border-radius: 5px; background: var(--green); color: var(--white); height: 50px; width: 50px;}

.callout-banner {display: flex; justify-content: flex-start; align-items: flex-end; min-height: 400px; background: linear-gradient(rgba(0,0,0,0.5)), url("/siteart/farmer-on-phone.jpg") center/ cover;}
.callout-banner-widget {color: var(--white); background: rgba(0,0,0,0.5); backdrop-filter: blur(10px); padding: 25px; border-radius: 20px; display: flex; justify-content: flex-start; align-items: stretch; gap: 50px; max-width: 1000px; margin: 0;}
.callout-banner-widget i {font-size: 50px;}
.callout-banner-widget > div:last-child {min-width: 300px;}

/*=== ABOUT PAGE
==============================*/
/*
.subpage-hero {background: linear-gradient(to right, var(--green) 0%, var(--green) 15%, var(--white) 15%); margin-top: 20px;}
.subpage-hero > div {display: flex; justify-content: flex-start; align-items: stretch; height: 100px;}
.subpage-hero > div > h1 {background: var(--green); padding: 20px 50px 20px 0; color: var(--white);}
.subpage-hero > div > img {display: block; width: auto; object-fit: contain; background: var(--white); align-self: stretch; height: auto;}
*/

.service-cloud {display: flex;flex-wrap: wrap;gap: 1rem;max-width: 1000px;justify-content: flex-start;}
.cloud-item {padding: 1rem 1.5rem; background: var(--lt-gray); border: 1px solid var(--gray); border-radius: 10px; font-size: 1rem; font-weight: 600; color: var(--black); white-space: nowrap; box-shadow: 0 4px 12px rgba(0,0,0,.05);}
.cloud-item:hover {transform: translateY(-3px); background: var(--green); color: var(--white);}

#about-video div:has(video) {display: flex; justify-content: center; align-items: center;overflow: hidden; border-radius: 20px;}
#about-video video {border-radius: 20px; overflow: hidden; display: block; height: auto; width: 100%; max-height: none; object-fit: contain;}

/*=== CONTACT PAGE
==============================*/
#contact > h4 {padding-bottom: 20px;}
#contact {display: flex; flex-direction: column; gap: 10px; font-size: var(--p); max-width: 100%; background: var(--lt-gray); backdrop-filter: blur(10px); padding: 20px; border-radius: 20px;}
#contact label {display: none;}
#contact input {padding: 10px 20px; width: 100%; border-radius: 10px;}
#contact .input-row {display: flex; flex-direction: row; gap: 10px;}
#contact .dualFields {width: 50%;}
#contact textarea {width: 100%; height: 200px; border: none; border-radius: 10px; font-family: var(--Poppins); padding: 20px; font-size: var(--p);}
#contact input.submit:hover {cursor: pointer ;}
#contact .note {font-size: 11px;}
#contact .CaptchaWhatsThisPanel a {color: var(--black); font-size: 15px;}
#contact .CaptchaMessagePanel {color: var(--black) !important;}

/*control the Captcha */
.CaptchaPanel {margin:0 0 0 0 !important;padding:0 0 0 0 !important;text-align: center;line-height:normal !important;}
.CaptchaImagePanel {margin:0 0 0 0;padding:0 0 0 0;}
.CaptchaMessagePanel {padding:0 0 0 0 !important;margin:0 0 0 0 !important;font-weight:normal !important;font-size:12px;line-height:14px;}
.CaptchaAnswerPanel {margin:0 0 0 0;padding:2px 0px 2px 0px !important;}
.CaptchaWhatsThisPanel {line-height:2;text-decoration: underline !important;margin:0 0 0 0;padding:8px 0 8px 0 !important;}
.CaptchaWhatsThisPanel a {color:#000;}
.CaptchaWhatsThisPanel a:hover {text-decoration:none;}

@media screen and (max-width: 700px) {
    #contact .input-row {flex-direction: column; width: 100%;}
    #contact .dualFields {width: 100%;}
}


/*=== MEDIA QUERIES
==============================*/
@media screen and (max-width: 1400px) {
    .stats-fb {flex-direction: column;}
    .stats-fb > div:last-child {display: flex; border: none !important; flex-wrap: wrap; justify-content: center;}
    .stats-fb > div:last-child > div {border: none !important;}
    .stats-fb > div:last-child > div:last-child {border-left: 1px solid var(--black);}
}
@media screen and (max-width: 1200px) {
    .grid {grid-template-columns: repeat(1, 1fr);}
    .grid > div {justify-content: flex-start;}
}
@media screen and (max-width: 1000px) {
    .hidemobile {display: none !important;}
    
    .primary.nav {display: none;}
    
    .home-hero-fb {flex-direction: column; gap: 25px; align-items: unset;}
    
    .fb-half {flex-direction: column; align-items: unset; }
    
    .grid {grid-template-columns: repeat(2, 1fr);}
    
    .callout-banner-widget {flex-wrap: wrap;}
    .callout-banner-widget > div:last-child {min-width: 0;}
}
@media screen and (max-width: 650px) {
    .grid {grid-template-columns: repeat(1, 1fr);}
    
    .footer-links:last-child {text-align: left !important;}
}








